%define name	givaro
%define libname	%mklibname %{name} 0
%define devname	%mklibname %{name} -d 

Name:		%{name}
Summary:	C++ library for arithmetic and algebraic computations
Version:	3.3.1
Release:	%mkrel 2
License:	GPL
Group:		Sciences/Mathematics
Source0:	http://ljk.imag.fr/CASYS/LOGICIELS/givaro/Downloads/%{name}-%{version}.tar.gz
URL:		http://www-lmc.imag.fr/CASYS/LOGICIELS/givaro

BuildRequires:	libgmpxx-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
In the joint CNRS-INRIA / INPG-UJF project APACHE, Givaro is a C++ library
for arithmetic and algebraic computations.
Its main features are implementations of the basic arithmetic of many
mathematical entities: Primes fields, Extensions Fields, Finite Fields,
Finite Rings, Polynomials, Algebraic numbers, Arbitrary precision integers
and rationals (C++ wrappers over gmp) It also provides data-structures and
templated classes for the manipulation of basic algebraic objects, such as
vectors, matrices (dense, sparse, structured), univariate polynomials (and
therefore recursive multivariate).
It contains different program modules and is fully compatible with the
LinBox linear algebra library and the Athapascan environment, which permits
parallel programming.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Givaro shared library

%description	-n %{libname}
This package contains the givaro shared libraries.

%package	-n %{devname}
Group:		Development/C++
Summary:	Givaro development files
Obsoletes:	%{name}-devel < 3.3
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libgmp-devel

%description	-n %{devname}
This package contains the givaro development files.

%prep
%setup -q -n givaro-%{version}

%build
%configure2_5x --with-gmp=%{_prefix} --disable-static --enable-shared
%make

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files		-n %{libname}
%defattr(-,root,root)
%{_libdir}/libgivaro.so.*

%files		-n %{devname}
%defattr(-,root,root)
%{_bindir}/givaro-*
%{_includedir}/givaro-config.h
%dir %{_includedir}/givaro
%{_includedir}/givaro/*
%dir %{_includedir}/gmp++
%{_includedir}/gmp++/*
%{_libdir}/libgivaro.la
%{_libdir}/libgivaro.so


%changelog
* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 3.3.1-2mdv2010.1
+ Revision: 503613
- rebuild for new gmp

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 485096
- Update to new version 3.3.1

* Fri May 29 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.2-5mdv2010.0
+ Revision: 381161
- Add libgmpxx-devel as build requires, what should remove the requirement
  of a "hack" patch in the linbox package (that ended being the reason of
  a major problem in the sagemath package, as reported by a cooker user).

* Fri Apr 03 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.2-2mdv2009.1
+ Revision: 363922
- Build shared libraries, and properly name packages to libgivaro and
  libgivaro-devel.

* Fri Feb 27 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.2-1mdv2009.1
+ Revision: 345802
- Initial import of givaro, version 3.2 (patchlevel 13).
  Givaro is a C++ library for arithmetic and algebraic computations.
- givaro

